## org.mortbay.jetty
Class HttpOnlyCookie

    java.lang.Object
      javax.servlet.http.Cookie
          org.mortbay.jetty.HttpOnlyCookie

All Implemented Interfaces:
  Cloneable

    public class HttpOnlyCookie

extends Cookie

HttpOnlyCookie.

Implements `Cookie` from the `javax.servlet` package.

This derivation of javax.servlet.http.Cookie can be used to indicate that the microsoft httponly extension should be used. The addSetCookie method on HttpFields checks for this type.

Author:
  gregw

Constructor Summary
`HttpOnlyCookie(String name, String value)`

Method Summary

Methods inherited from class javax.servlet.http.Cookie
`clone, getComment, getDomain, getMaxAge, getName, getPath, getSecure, getValue, getVersion, setComment, setDomain, setMaxAge, setPath, setSecure, setValue, setVersion`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HttpOnlyCookie

    public HttpOnlyCookie(String name,
                          String value)

Parameters:
  `name` -
  `value` -

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.